#!/bin/bash
#SBATCH -N 1
#SBATCH --ntasks-per-node=128
##SBATCH  --cpus-per-task=1
#SBATCH --exclusive
#SBATCH -J IZUM
#SBATCH -t 01:00:00
#SBATCH -p ROME-7742_hdr100_256gb_3200 

source /opt/intel/parallel_studio_xe_2018.4.057/compilers_and_libraries_2018/linux/bin/compilervars.sh intel64 
export PATH=/software/compilers/gcc/5.5.0/bin:/opt/intel/compilers_and_libraries_2018.5.274/linux/mkl/include:$PATH
export LD_LIBRARY_PATH=/software/compilers/gcc/5.5.0/lib:/software/compilers/gcc/5.5.0/lib64:/opt/intel/compilers_and_libraries_2018.5.274/linux/mkl/lib:$LD_LIBRARY_PATH
export INCLUDE=/software/compilers/gcc/5.5.0/incude:/opt/intel/compilers_and_libraries_2018.5.274/linux/mkl/include:$INCLUDE


clush -w $SLURM_NODELIST  "sudo /home_nfs/script/admin/enable_boost_amd.sh"
##################################
#           CONFIGURATION         #
###################################
NNODES=$SLURM_NNODES
export OMP_NUM_THREADS=1
PPN=128
#PPN=$SLURM_NTASKS_PER_NODE
NP=$[SLURM_NNODES * PPN]
echo $I_MPI_PIN_PROCESSOR_LIST
export SLURM_CPU_BIND=none

export  I_MPI_DAPL_SCALABLE_PROGRESS=1
export I_MPI_RDMA_TRANSLATION_CACHE=1
export I_MPI_FAIR_CONN_SPIN_COUNT=2147483647
export I_MPI_FAIR_READ_SPIN_COUNT=2147483647
export I_MPI_RDMA_TRANSLATION_CACHE=1
export I_MPI_RDMA_RNDV_BUF_ALIGN=65536
export I_MPI_SPIN_COUNT=121
export  I_MPI_DAPL_DIRECT_COPY_THRESHOLD=65536
#############################################################

echo "NNODES:${SLURM_NNODES}"
echo "CORES:$SLURM_NTASKS"
echo "MPI:$NP"
echo "PPN:$PPN"
echo "Nodelist:$SLURM_NODES"

export rundir=DIR\_N_$SLURM_NNODES\_MPI_$SLURM_NTASKS\_OMP_$OMP_NUM_THREADS\_ID_$SLURM_JOBID
mkdir -p $rundir

cd $rundir
cp /home_nfs/bkatkamwarp/EuroHPC-2020/Gromacs/AMD/Intel/GRM-2020.1-intel18-1/gromacs-2020.1/build/bin/Run/Input/* .

#time mpirun -np $NP -ppn $PPN gmx_mpi mdrun -dlb auto -s topol_pme.tpr -nsteps 5000 -ntomp $OMP_NUM_THREADS -pin on -noconfout

time srun  --mpi=pmi2 --cpu_bind=map_cpu:0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127 gmx_mpi mdrun -s topol_pme.tpr -nsteps 5000 -ntomp $OMP_NUM_THREADS -noconfout


