#!/bin/bash
#SBATCH -N 1
#SBATCH --ntasks-per-node=40
##SBATCH  --cpus-per-task=1
#SBATCH --exclusive
#SBATCH -J IZUM
#SBATCH -t 01:00:00
#SBATCH -p SKL-6148_GPU_hdr100_384gb_2666
#SBATCH --gres=gpu:4 

#module load gcc/6.3.0
source /opt/intel/parallel_studio_xe_2018.4.057/compilers_and_libraries_2018/linux/bin/compilervars.sh intel64 
module load cuda/10.2

PATH=/usr/local/cuda-10.2/bin:$PATH
LD_LIBRARY_PATH=/usr/local/cuda-10.2/lib:$LD_LIBRARY_PATH
INCLUDE=/usr/local/cuda-10.2/include:$INCLUDE
PATH=/software/compilers/gcc/5.5.0/bin:/opt/intel/compilers_and_libraries_2018.5.274/linux/mkl/include:$PATH
LD_LIBRARY_PATH=/software/compilers/gcc/5.5.0/lib:/software/compilers/gcc/5.5.0/lib64:/opt/intel/compilers_and_libraries_2018.5.274/linux/mkl/lib:$LD_LIBRARY_PATH
INCLUDE=/software/compilers/gcc/5.5.0/incude:/opt/intel/compilers_and_libraries_2018.5.274/linux/mkl/include:$INCLUDE

FREQ=2401
clush -bw $SLURM_NODELIST "sudo /home_nfs/script/admin/pwrb -f ${FREQ}000"
#clush -bw $SLURM_NODELIST "sudo nvidia-smi -acp UNRESTRICTED"

##################################
#           CONFIGURATION         #
###################################
NNODES=$SLURM_NNODES
export OMP_NUM_THREADS=1
PPN=40
#PPN=$SLURM_NTASKS_PER_NODE
NP=$[SLURM_NNODES * PPN]


echo $I_MPI_PIN_PROCESSOR_LIST
export SLURM_CPU_BIND=none
#export I_MPI_PIN_PROCESSOR_LIST=0-39
#unset I_MPI_PIN_PROCESSOR_LIST
#export KMP_AFFINITY=granularity=thread,scatter

echo "NNODES:${SLURM_NNODES}"
echo "CORES:$SLURM_NTASKS"
echo "MPI:$NP"
echo "PPN:$PPN"
echo "Nodelist:$SLURM_NODES"

export rundir=DIR\_N_$SLURM_NNODES\_MPI_$SLURM_NTASKS\_OMP_$OMP_NUM_THREADS\_ID_$SLURM_JOBID
mkdir -p $rundir

cd $rundir
cp /home_nfs_robin_ib/bkatkamwarp/EuroHPC-2020/Gromacs/Intel/GPU/GRM-2020.1-I18/gromacs-2020.1/build/bin/Run/Input/* .


time mpirun -np $NP -ppn $PPN gmx_mpi mdrun -dlb auto -nb gpu -pin on -s topol_pme.tpr -nsteps 5000 -ntomp $OMP_NUM_THREADS -tunepme -noconfout 

